@echo off
:begin
CLS
echo Welcome to the TruRail Simulations Radio Selector, brought to you by RailroadRadio.net.
echo.
echo Please select a region, or disconnect entirely
echo 0. Disconnect
echo 1. Canadian
echo 2. Central
echo 3. Eastern
echo 4. Mountain
echo 5. Western
echo 6. Exit
echo.
set /p op=Region Select: 
if "%op%" =="0" goto op0
if "%op%" =="1" goto can
if "%op%" =="2" goto cst
if "%op%" =="3" goto est
if "%op%" =="4" goto mst
if "%op%" =="5" goto pst
if "%op%" =="6" exit

:op0
taskkill /im "PotPlayerMini64.exe" /f
goto begin

:goback
goto begin

:can
CLS
echo Choose from the following channels:
echo.
echo 1. Vancouver, BC
echo 2. Canrail Audio Live CN CP Hamilton, Ontario
echo 3. CPR Calgary Terminal
echo 4. Back to menu
echo.
set /p canop= Channel Select:
if "%canop%" =="1" goto canop1
if "%canop%" =="2" goto canop2
if "%canop%" =="3" goto canop3
if "%canop%" =="4" goto goback

:canop1
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Canadian\Vancouver_BC\langley.pls"
exit

:canop2
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Canadian\Canrail_Audio_Live_CN_CP_Hamilton_Ontario\hamilton.pls"
exit 

:canop3
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Canadian\CPR_Calgary_Terminal\CP_Calgary_Terminal.pls"
exit 

:cst
CLS
echo Choose from the following channels:
echo.
echo 1. Wisconsin and Southern Railroad
echo 2. Southeastern Wisconsin
echo 3. NS/CSX Lafayette-Logansport-Rensselaer Indiana
echo 4. BNSF TransCon/NS WB Jct Carrollton, Mo
echo 5. BNSF/UP Ozark Region St. Louis, MO
echo 6. CN Hammond Louisiana
echo 7. Houston, TX
echo 8. La Grange, TX
echo 9. KCT RR, Kansas City MO
echo 10. Back to menu
echo.
set /p cstop= Channel Select:
if "%cstop%" =="1" goto cstop1
if "%cstop%" =="2" goto cstop2
if "%cstop%" =="3" goto cstop3
if "%cstop%" =="4" goto cstop4
if "%cstop%" =="5" goto cstop5
if "%cstop%" =="6" goto cstop6
if "%cstop%" =="7" goto cstop7
if "%cstop%" =="8" goto cstop8
if "%cstop%" =="9" goto cstop9
if "%cstop%" =="10" goto goback

:cstop1
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Central\Wisconsin_and_Southern_Railroad\wsor.pls"
exit

:cstop2
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Central\Southeastern_Wisconsin\sewi.pls"
exit

:cstop3
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Central\NS_CSX_Lafayette_Logansport_Rensselaer_Indiana\monon1.pls"
exit

:cstop4
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Central\BNSF_TransCon_NS_WB_Jct_Carollton_Mo\carollton.pls"
exit

:cstop5
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Central\BNSF_UP_Ozark_Region_St_Louis_MO\ozark.pls"
exit

:cstop6
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Central\CN_Hammond_Louisiana\hammond2.pls"
exit

:cstop7
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Central\Houston_TX\houston1.pls"
exit

:cstop8
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Central\La_Grange_Texas\lagrange1.pls"
exit

:cstop9
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Central\KCT_RR_Kansas_City_MO\kctrr.pls"
exit

:est
CLS
echo Choose from the following channels:
echo.
echo 1. Rochester, NY Area
echo 2. Wilmington, DE Area
echo 3. Richmond Area Stream
echo 4. Carson Area Stream
echo 5. Afton, VA
echo 6. NS Roanoke, VA
echo 7. Manassas, VA
echo 8. Ashland, Va Audio Scanner Feed
echo 9. Orange, Virginia
echo 10. Bristol, VA
echo 11. NS Allegheny Division/West Slope
echo 12. Baltimore, MD
echo 13. Central NJ Rail Scanner
echo 14. Greater Canton Ohio Area
echo 15. Spartanburg, SC
echo 16. Teays Valley - Hurricane, WV	
echo 17. Upstate South Carolina
echo 18. Back to menu
echo.
set /p estop= Channel Select:
if "%estop%" =="1" goto estop1
if "%estop%" =="2" goto estop2
if "%estop%" =="3" goto estop3
if "%estop%" =="4" goto estop4
if "%estop%" =="5" goto estop5
if "%estop%" =="6" goto estop6
if "%estop%" =="7" goto estop7
if "%estop%" =="8" goto estop8
if "%estop%" =="9" goto estop9
if "%estop%" =="10" goto estop10
if "%estop%" =="11" goto estop11
if "%estop%" =="12" goto estop12
if "%estop%" =="13" goto estop13
if "%estop%" =="14" goto estop14
if "%estop%" =="15" goto estop15
if "%estop%" =="16" goto estop16
if "%estop%" =="17" goto estop17
if "%estop%" =="18" goto goback

:estop1
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Eastern\Rochester_NY_Area\rochester.pls"
exit

:estop2
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Eastern\Wilmington_DE_Area\wilmington.pls"
exit

:estop3
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Eastern\Richmond_VA\chester.pls"
exit

:estop4
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Eastern\Carson_VA\carson.pls"
exit

:estop5
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Eastern\Afton_VA\afton.pls"
exit

:estop6
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Eastern\NS_Roanoke_VA\roanoke.pls"
exit

:estop7
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Eastern\Manassas_VA\manassas.pls"
exit

:estop8
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Eastern\Ashland_Va_Audio_Scanner_Feed\hunton.pls"
exit

:estop9
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Eastern\Orange_Virginia\orangeVA.pls"
exit

:estop10
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Eastern\Bristol_VA\bristol_va.pls"
exit

:estop11
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Eastern\NS_Allegheny_Division_West_Slope\westslope.pls"
exit

:estop12
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Eastern\Baltimore_MD\baltimore.pls"
exit

:estop13
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Eastern\Central_NJ_Rail_Scanner\centralNJ.pls"
exit

:estop14
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Eastern\Greater_Canton_Ohio_Area\greaterOH.pls"
exit

:estop15
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Eastern\Spartanburg_SC\spartanburg.pls"
exit

:estop16
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Eastern\Teays_Valley_Hurricane_WV\teays.pls"
exit

:estop17
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Eastern\Upstate_South_Carolina\upstateSC.pls"
exit

:mst
CLS
echo Choose from the following channels:
echo.
echo 1. BNSF Whitefish, MT
echo 2. MRL Laurel and BNSF Huntley
echo 3. MRL Billings
echo 4. MRL Belgrade
echo 5. MRL Bozeman
echo 6. MRL Livingston
echo 7. MRL Helena
echo 8. MRL Missoula, MT
echo 9. MRL Thompson Falls
echo 10. MRL Sandpoint ID
echo 11. Glenwood Springs, CO
echo 12. UP Moffat Line: Winter Park to Tabernash, Colorado
echo 13. BNSF Front Range Sub
echo 14. BNSF/UP Colorado Joint Line (Updated)
echo 15. BNSF/UP Phoenix Area
echo 16. UP Wide-Area, AZ
echo 17. BNSF Seligman and Gallup Subs - Winslow, AZ
echo 18. BNSF Seligman and Phoenix Subs / Grand Canyon Railway - Williams, AZ
echo 19. BNSF Seligman Sub - Flagstaff, AZ
echo 20. Union Pacific (UP) Yuma and Gila Subs - Yuma, AZ
echo 21. UP Gila - Dome to Mohawk
echo 22. BNSF Seligman and Kingman Terminal Railroad - Kingman, AZ
echo 23. Back to menu
echo.
set /p mstop= Channel Select:
if "%mstop%" =="1" goto mstop1
if "%mstop%" =="2" goto mstop2
if "%mstop%" =="3" goto mstop3
if "%mstop%" =="4" goto mstop4
if "%mstop%" =="5" goto mstop5
if "%mstop%" =="6" goto mstop6
if "%mstop%" =="7" goto mstop7
if "%mstop%" =="8" goto mstop8
if "%mstop%" =="9" goto mstop9
if "%mstop%" =="10" goto mstop10
if "%mstop%" =="11" goto mstop11
if "%mstop%" =="12" goto mstop12
if "%mstop%" =="13" goto mstop13
if "%mstop%" =="14" goto mstop14
if "%mstop%" =="15" goto mstop15
if "%mstop%" =="16" goto mstop16
if "%mstop%" =="17" goto mstop17
if "%mstop%" =="18" goto mstop18
if "%mstop%" =="19" goto mstop19
if "%mstop%" =="20" goto mstop20
if "%mstop%" =="21" goto mstop21
if "%mstop%" =="22" goto mstop22
if "%mstop%" =="23" goto goback

:mstop1
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Mountain\BNSF_Whitefish_MT\whitefish.pls"
exit

:mstop2
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Mountain\MRL_Laurel_and_BNSF_Huntley\laurel.pls"
exit

:mstop3
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Mountain\MRL_Billings\billings.pls"
exit

:mstop4
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Mountain\MRL_Belgrade\belgrade.pls"
exit

:mstop5
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Mountain\MRL_Bozeman\bozeman1.pls"
exit

:mstop6
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Mountain\MRL_Livingston\livingston.pls"
exit

:mstop7
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Mountain\MRL_Helena\helena.pls"
exit

:mstop8
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Mountain\MRL_Missoula_MT\missoula.pls"
exit

:mstop9
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Mountain\MRL_Thompson_Falls\T-Falls.pls"
exit

:mstop10
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Mountain\MRL_Sandpoint_ID\Sandpoint.pls"
exit

:mstop11
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Mountain\Glenwood_Springs_CO\glenwood.pls"
exit

:mstop12
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Mountain\UP_Moffat_Line_Winter_Park_to_Tabernash_Colorado\moffat.pls"
exit

:mstop13
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Mountain\BNSF_Front_Range_Sub\frontrange.pls"
exit

:mstop14
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Mountain\BNSF_UP_Colorado_Joint_Line_Updated\castlerock.pls"
exit

:mstop15
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Mountain\BNSF_UP_Phoenix_Area\phoenix1.pls"
exit

:mstop16
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Mountain\UP_Wide_Area_AZ\pinal1.pls"
exit

:mstop17
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Mountain\BNSF_Seligman_and_Gallups_Subs_Winslow_AZ\seligman.pls"
exit

:mstop18
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Mountain\BNSF_Seligman_and_Phoenix_Subs_Grand_Canyon_Railway_Williams_AZ\williams.pls"
exit

:mstop19
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Mountain\BNSF_Seligman_Sub_Flagstaff_AZ\flagstaff.pls"
exit

:mstop20
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Mountain\Union_Pacific_UP_Yuma_And_Gila_Subs_Yuma_AZ\yuma.pls"
exit

:mstop21
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Mountain\UP_Gila_Dome_to_Mohawk\mohawk.pls"
exit

:mstop22
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Mountain\BNSF_Seligman_and_Kingman_Terminal_Railroad_Kingman_AZ\kingman1.pls"
exit

:pst
CLS
echo Choose from the following channels:
echo.
echo 1. UP / BNSF Spokane Area
echo 2. Wenatchee Area, WA
echo 3. Pasco Area
echo 4. BNSF Seattle Terminal
echo 5. BNSF Centralia North and UP Seattle Sub
echo 6. BNSF Stampede Pass - West Side
echo 7. BNSF Stampede Pass - East Side
echo 8. Vancouver/Columbia River Area, WA
echo 9. UP/CORP Eugene, OR
echo 10. UP Dunsmuir
echo 11. BNSF Gateway Sub
echo 12. Truckee CA
echo 13. West Sacramento, CA
echo 14. UP San Francisco Bay Area
echo 15. UP/BNSF Central Valley
echo 16. SF Peninsula Caltrain - UP
echo 17. Lancaster, Ca
echo 18. Orange County, CA (BNSF/UP/Metrolink/Amtrak)
echo 19. Metrolink San Fernando Valley
echo 20. BNSF Hesperia / Upper Cajon
echo 21. Back to menu
echo.
set /p pstop= Channel Select:
if "%pstop%" =="1" goto pstop1
if "%pstop%" =="2" goto pstop2
if "%pstop%" =="3" goto pstop3
if "%pstop%" =="4" goto pstop4
if "%pstop%" =="5" goto pstop5
if "%pstop%" =="6" goto pstop6
if "%pstop%" =="7" goto pstop7
if "%pstop%" =="8" goto pstop8
if "%pstop%" =="9" goto pstop9
if "%pstop%" =="10" goto pstop10
if "%pstop%" =="11" goto pstop11
if "%pstop%" =="12" goto pstop12
if "%pstop%" =="13" goto pstop13
if "%pstop%" =="14" goto pstop14
if "%pstop%" =="15" goto pstop15
if "%pstop%" =="16" goto pstop16
if "%pstop%" =="17" goto pstop17
if "%pstop%" =="18" goto pstop18
if "%pstop%" =="19" goto pstop19
if "%pstop%" =="20" goto pstop20
if "%pstop%" =="21" goto goback

:pstop1
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Western\UP_BNSF_Spokane_Area\spokane.pls"
exit

:pstop2
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Western\Wenatchee_Area_WA\wenatchee.pls"
exit

:pstop3
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Western\Pasco_Area\pasco.pls"
exit

:pstop4
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Western\BNSF_Seattle_Terminal\seattle.pls"
exit

:pstop5
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Western\BNSF_Centralia_North_UP_Seattle_Sub\centralia-north.pls"
exit

:pstop6
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Western\BNSF_Stampede_Pass_West_Side\stampede_west.pls"
exit

:pstop7
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Western\BNSF_Stampede_Pass_East_Side\stampede1.pls"
exit

:pstop8
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Western\Vancouver_Columbia_River_Area_WA\vancouver.pls"
exit

:pstop9
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Western\UP_CORP_Eugene_OR\eugene1.pls"
exit

:pstop10
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Western\UP_Dunsmuir\dunsmuir.pls"
exit

:pstop11
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Western\BNSF_Gateway_Sub\gateway.pls"
exit

:pstop12
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Western\Truckee_CA\truckee.pls"
exit

:pstop13
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Western\West_Sacramento_CA\roseville.pls"
exit

:pstop14
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Western\UP_San_Francisco_Bay_Area\UPBay1.pls"
exit

:pstop15
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Western\UP_BNSF_Central_Valley\central-valley.pls"
exit

:pstop16
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Western\SF_Peninsula_Caltrain_UP\caltrain.pls"
exit

:pstop17
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Western\Lancaster_Ca\lancaster.pls"
exit

:pstop18
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Western\Orange_County_CA_BNSF_UP_Metrolink_Amtrak\orange.pls"
exit

:pstop19
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Western\Metrolink_San_Fernando_Valley\metrolinkSFV.pls"
exit

:pstop20
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Western\BNSF_Hesperia_Upper_Cajon\hesperia1.pls"
exit